%define rpmrelease 0
Summary:    XMMS Remote Plugin for Gaim
Name:       gaim-xmms-remote
Version:    1.7
Release:    %{gaimver}%{?gaimdist:.%{gaimdist}}.%{rpmrelease}
License:    GPL
Group:      Applications/Internet
Url:        http://guifications.sourceforge.net/
Source:     gaim-xmms-remote-%{version}.tar.gz
BuildRoot:  %{_tmppath}/%{name}-%{version}-root

Requires:   gaim = 1:%{gaimver}
BuildRequires: pkgconfig, libtool, gaim-devel, xmms-devel, gcc-c++
%if "%{_vendor}" == "MandrakeSoft"
BuildRequires: libgtk+1.2-devel, libgtk+2.0_0-devel
%else
BuildRequires: gtk+-devel, gtk2-devel
%endif


%description
Gaim XMMS Remote is a remote control plugin for Gaim to control XMMS

To rebuild for a specific Gaim version or dist tag:
rpmbuild --rebuild gaim-gaim-xmms-remote-1.7-%{gaimver}.%{rpmrelease}.src.rpm --define 'gaimver %{gaimver}' --define 'gaimdist fc1'


%prep
%setup -q

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{_prefix}

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

strip $RPM_BUILD_ROOT%{_libdir}/gaim/*.so || :
rm -f $RPM_BUILD_ROOT%{_libdir}/gaim/gxr.la $RPM_BUILD_ROOT%{_libdir}/gaim/gxr.a

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)

%doc README ChangeLog
%{_libdir}/gaim/gxr.so
%dir %{_datadir}/pixmaps/gaim/gxr
%{_datadir}/pixmaps/gaim/gxr/*

%changelog
* Fri Jun 25 2004 Stu Tomlinson <stu@nosnilmot.com>
- Update for Gaim 0.79

* Thu May 27 2004 Stu Tomlinson <stu@nosnilmot.com>
- Tweak to allow both .src.rpm and .nosrc.rpm to be generated
  from a dist tarball.

* Wed Mar 24 2004 Stu Tomlinson <stu@nosnilmot.com>
- Tweak!

* Tue Mar 02 2004 Stu Tomlinson <stu@nosnilmot.com>
- Initial spec file
